Package org.apache.ignite.internal.cache.query.index.sorted.client

## Class ClientIndexFactory

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.client.ClientIndexFactory

All Implemented Interfaces:
  `IndexFactory`

    public class ClientIndexFactory
    extends Object
    implements IndexFactory

Factory for client index.

### Constructor Summary

Constructors
`ClientIndexFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Index` `createIndex​(GridCacheContext<?,​?> cctx, IndexDefinition def)` Creates index by specified definition for specified cache.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientIndexFactory

    public ClientIndexFactory()

### Method Detail

#### createIndex

    public Index createIndex​(GridCacheContext<?,​?> cctx,
                             IndexDefinition def)

Creates index by specified definition for specified cache.

Specified by:
  `createIndex` in interface `IndexFactory`
Parameters:
  `cctx` - Cache context.
  `def` - Index definition.